%define	name	xscorch
%define version 0.2.0
%define release 5
%define	Summary	Clone of Scorched Earth

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	%{name}-%{version}.tar.bz2
Source11:	xscorch-16x16.png
Source12:	xscorch-32x32.png
Source13:	xscorch-48x48.png
Patch1:		xscorch-0.2.0-non-crazy-scoring--standard.patch.bz2
Url:		http://chaos2.org/xscorch/
License:	GPL
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libmikmod-devel gtk+1.2-devel X11-devel libglib-devel libxpm-devel

%description 
Xscorch is a clone of the classic DOS game, "Scorched Earth". The basic goal
is to annihilate enemy tanks using overpowered guns :). Basically, you buy
weapons, you target the enemy by adjusting the angle of your turret and firing
power, and you hope to destroy their tank before they destroy yours.

%prep
%setup -q
%patch1 -p1

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="XScorch"\
		longtitle="%{Summary}" \
		xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=XScorch
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(755,root,root,755)
%{_gamesbindir}/*
%defattr(644,root,root,755)
%{_mandir}/*/*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*
%{_menudir}/%{name}
%doc AUTHORS ChangeLog NEWS README TODO doc/AI doc/NETWORK doc/NOTES



%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.2.0-5mdv2008.1
+ Revision: 140994
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import xscorch


* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.0-5mdv2007.0
- fix summary macro used in menu item
- don't archive/bzip2 icons
- fix macro-in-%%changelog
- cleanups

* Fri Jul  7 2006 Pixel <pixel@mandriva.com> 0.2.0-4mdv2007.0
- switch to XDG menu

* Sun Jan 08 2006 Anssi Hannula <anssi@mandriva.org> 0.2.0-3mdk
- %%mkrel
- fix menu section
- fix buildrequires for lib64

* Thu Jun 02 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild

* Fri Apr  2 2004 Pixel <pixel@mandrakesoft.com> 0.2.0-1mdk
- new release
- bzipped manpage patch not needed anymore (AFAIK the text is builtin the binary)
- capitalize menu title

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.1.15-3mdk
- fixed buildrequires

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.1.15-2mdk
- drop obsolete Prefix tag
- move from %%{_bindir} to %%{_gamesbindir} and from %%{_datadir} to %%{_gamesdatadir}
- nicer formatting
- quiet setup
- don't use configure macro, somehow it made xscorch fail to compile
- added menuitem and icons
- added buildrequires

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 0.1.15-1mdk
- new release

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.14-1mdk
- 0.1.14
- refresh crazy-scoring patch

* Tue Jul 24 2001 Pixel <pixel@mandrakesoft.com> 0.1.13-2mdk
- non-crazy-scoring--standard

* Tue Jul 24 2001 Pixel <pixel@mandrakesoft.com> 0.1.13-1mdk
- new version
- fix description-line-too-long

* Sun Jan 21 2001 Pixel <pixel@mandrakesoft.com> 0.1.10-1mdk
- initial spec
